﻿@using System.Web.Mvc;
@using System.Web.UI.WebControls;
@using System.Data;
@using Portal.Controllers;
@using DevExpress.Web.ASPxPager;

@model Toyota.Common.Web.MVC.ModelHolder
 
<table>
    <tr>
        <td>
            @Html.DevExpress().Button(
                        edtSettings =>
                        {
                            edtSettings.Text = "Report Mode";
                            edtSettings.Name = "cmdHideSyncTable";
                            edtSettings.Width = 100;
                            edtSettings.ClientSideEvents.Click = "OnClickReportMode";
                            //edtSettings.ClientSideEvents.Click = "function(){PopupProgressDownload.Show();}";
                        }).GetHtml()
        </td>
        <td>
             @Html.DevExpress().Button(
                        edtSettings =>
                        {
                            edtSettings.Text = "Sync Mode";
                            edtSettings.Name = "cmdHideReportTable";
                            edtSettings.Width = 100;
                            edtSettings.ClientSideEvents.Click = "OnClickSyncMode";
                            //edtSettings.ClientSideEvents.Click = "function(){PopupProgressDownload.Show();}";
                        }).GetHtml()

        </td>

    </tr>

</table>
<hr />

<table border="0" class="reportTable">
    @* DELIVERY TYPE *@
    <tr>
        <td style="width:70px">Type <b style="color:Red;">*</b></td>
        <td style="width:40px"></td>
        <td style="text-align:left;" colspan="3">
            @*@Html.Partial("DeliveryTypePartial")*@
            @Html.DevExpress().ComboBox(
            edtSettings =>
            {
                edtSettings.Name = "cmbDeliveryType";
                edtSettings.Width = System.Web.UI.WebControls.Unit.Pixel(275);
                edtSettings.CallbackRouteValues = new { Controller = "DCLReport", Action = "DeliveryTypePartial" };
                edtSettings.Properties.ValueField = "DeliveryTypeName";
                edtSettings.Properties.TextField = "DeliveryTypeName";
                edtSettings.Properties.DropDownStyle = DropDownStyle.DropDownList;
                edtSettings.Properties.DropDownHeight = 220;
                edtSettings.Properties.EnableClientSideAPI = true;
                edtSettings.Properties.ClientSideEvents.SelectedIndexChanged = "OnReportTypeSelected";
                edtSettings.Properties.ClientSideEvents.Init = "SetDefaultTypeSelected";
            }).BindList(ViewData["DeliveryType"]).GetHtml()  
        </td>
    </tr>

    @* REPRESENTATIVE DAY 1a *@
    <tr>
        <td style="width:80px">Representative Day 1a <b style="color:Red;">*</b></td>
        <td style="width:20px;text-align:right">(Next)</td>
        <td style="text-align:left;">
            @Html.DevExpress().DateEdit(
                settings => {
                    settings.Name = "repday1anext";
                    settings.Properties.NullText = "yyyy-MM-dd";
                    settings.Properties.EditFormatString = "yyyy-MM-dd";
                    settings.Width = Unit.Pixel(100);
                    settings.ClientEnabled = false;
                    settings.Properties.ClientSideEvents.DateChanged = "OnDateChanged1a";
                }
            ).GetHtml()
        </td>
        <td style="width:60px;text-align:right">(Current)</td>
        <td style="text-align:left;">
            @Html.DevExpress().DateEdit(
                settings => {
                    settings.Name = "repday1acurrent";
                    settings.Properties.NullText = "yyyy-MM-dd";
                    settings.Properties.EditFormatString = "yyyy-MM-dd";
                    settings.Width = Unit.Pixel(100);
                    settings.ClientEnabled = false;
                }
            ).GetHtml()
        </td>
    </tr>
    
    @* REPRESENTATIVE DAY 1b *@
    <tr>
        <td style="width:80px">Representative Day 1b </td>
        <td style="width:20px;text-align:right">(Next)</td>
        <td style="text-align:left;">
            @Html.DevExpress().DateEdit(
                settings => {
                    settings.Name = "repday1bnext";
                    settings.Properties.NullText = "yyyy-MM-dd";
                    settings.Properties.EditFormatString = "yyyy-MM-dd";
                    settings.Width = Unit.Pixel(100);
                    settings.ClientEnabled = false;
                    settings.Properties.ClientSideEvents.DateChanged = "OnDateChanged1b";
                }
            ).GetHtml()
        </td>
        <td style="width:35px;text-align:right">(Current)</td>
        <td style="text-align:left;">
            @Html.DevExpress().DateEdit(
                settings => {
                    settings.Name = "repday1bcurrent";
                    settings.Properties.NullText = "yyyy-MM-dd";
                    settings.Properties.EditFormatString = "yyyy-MM-dd";
                    settings.Width = Unit.Pixel(100);
                    settings.ClientEnabled = false;
                }
            ).GetHtml()
        </td>
    </tr>

    @* REPRESENTATIVE DAY 2a *@
    <tr>
        <td style="width:80px">Representative Day 2a </td>
        <td style="width:20px;text-align:right">(Next)</td>
        <td style="text-align:left;">
            @Html.DevExpress().DateEdit(
                settings => {
                    settings.Name = "repday2anext";
                    settings.Properties.NullText = "yyyy-MM-dd";
                    settings.Properties.EditFormatString = "yyyy-MM-dd";
                    settings.Width = Unit.Pixel(100);
                    settings.ClientEnabled = false;
                    settings.Properties.ClientSideEvents.DateChanged = "OnDateChanged2a";
                }
            ).GetHtml()
        </td>
        <td style="width:35px;text-align:right">(Current)</td>
        <td style="text-align:left;">
            @Html.DevExpress().DateEdit(
                settings => {
                    settings.Name = "repday2acurrent";
                    settings.Properties.NullText = "yyyy-MM-dd";
                    settings.Properties.EditFormatString = "yyyy-MM-dd";
                    settings.Width = Unit.Pixel(100);
                    settings.ClientEnabled = false;
                }
            ).GetHtml()
        </td>
    </tr>

    @* REPRESENTATIVE DAY 2b *@
    <tr>
        <td style="width:150px">Representative Day 2b </td>
        <td style="width:20px;text-align:right">(Next)</td>
        <td style="text-align:left;">
            @Html.DevExpress().DateEdit(
                settings => {
                    settings.Name = "repday2bnext";
                    settings.Properties.NullText = "yyyy-MM-dd";
                    settings.Properties.EditFormatString = "yyyy-MM-dd";
                    settings.Width = Unit.Pixel(100);
                    settings.ClientEnabled = false;
                    settings.Properties.ClientSideEvents.DateChanged = "OnDateChanged2b";
                }
            ).GetHtml()
        </td>
        <td style="width:35px;text-align:right">(Current)</td>
        <td style="text-align:left;">
            @Html.DevExpress().DateEdit(
                settings => {
                    settings.Name = "repday2bcurrent";
                    settings.Properties.NullText = "yyyy-MM-dd";
                    settings.Properties.EditFormatString = "yyyy-MM-dd";
                    settings.Width = Unit.Pixel(100);
                    settings.ClientEnabled = false;
                }
            ).GetHtml()
        </td>
    </tr>

    
    @* PRODUCTION MONTH *@
    <tr>
        <td style="width:70px">Production Month <b style="color:Red;">*</b></td>
        <td style="width:20px"></td>
        <td style="text-align:left;">
            @Html.DevExpress().TextBox(
                textBox =>
                {
                    textBox.Properties.ClientInstanceName = "ProductionMonthText";
                    textBox.Name = "ProductionMonthText";
                    textBox.ControlStyle.CssClass = "mtz-monthpicker-widgetcontainer";
                    textBox.Width = Unit.Pixel(100);
                }).GetHtml()
        </td>
        <td style="width:20px;text-align:right"></td>
        <td></td>
    </tr>

    @* PRODUCTION DATE *@
    <tr>
        <td style="width:70px">Production Date <b style="color:Red;">*</b></td>
        <td style="width:20px;text-align:right">(From)</td>
        <td style="text-align:left;">
            @Html.DevExpress().DateEdit(
                            settings => {
                                settings.Name = "proddatefrom";
                                settings.Properties.NullText = "yyyy-MM-dd";
                                settings.Properties.EditFormatString = "yyyy-MM-dd";
                                settings.Width = Unit.Pixel(100);
                                settings.ClientEnabled = false;
                            }
                        ).GetHtml()
        </td>
        <td style="width:20px;text-align:right">(To)</td>
        <td>
            @Html.DevExpress().DateEdit(
                            settings => {
                                settings.Name = "proddateto";
                                settings.Properties.NullText = "yyyy-MM-dd";
                                settings.Properties.EditFormatString = "yyyy-MM-dd";
                                settings.Width = Unit.Pixel(100);
                                settings.ClientEnabled = false;
                            }
                        ).GetHtml()
        </td>
    </tr>


    @* DOCK CODE *@
    <tr>
        <td style="width:70px">
            @Html.DevExpress().Label(
            edtSettings =>
            {
                edtSettings.ControlStyle.CssClass = "label";
                edtSettings.Width = System.Web.UI.WebControls.Unit.Pixel(74);
                edtSettings.Text = "Dock";
            }).GetHtml() 
        </td>
        <td style="width:20px"></td>
        <td width = "100px" colspan="3">
            @Html.Common().DevExpress().GridLookup(
                s =>
                {
                    s.Name = "grlDock";
                    s.GridProperties.KeyFieldName = "DockCode";
                    s.Width = System.Web.UI.WebControls.Unit.Pixel(275);
                    s.GridProperties.Width = System.Web.UI.WebControls.Unit.Pixel(350);
                    s.GridProperties.CallbackRouteValues = new { Controller = "DCLReport", Action = "DockCodePartial" };
                    s.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = false;
                    s.GridProperties.SettingsPager.PageSize = 100;

                    s.GridProperties.Columns.Add(c =>
                    {
                        c.Name = "PlantName";
                        c.FieldName = "PlantName";
                        c.Caption = "Plant";
                        c.Width = System.Web.UI.WebControls.Unit.Pixel(250);
                        c.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
                    });
                    s.GridProperties.Columns.Add(c =>
                    {
                        c.Name = "DockCode";
                        c.FieldName = "DockCode";
                        c.Caption = "Dock Code";
                        c.Width = System.Web.UI.WebControls.Unit.Pixel(100);
                        c.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
                    });
                }
            ).Bind(ViewData["DockCode"]).GetHtml()  
        </td>
    </tr>
    
    @* SUPPLIER CODE *@
    <tr>
        <td style="width:70px">
         @Html.DevExpress().Label(
            edtSettings =>
            {
                edtSettings.ControlStyle.CssClass = "label";
                edtSettings.Width = System.Web.UI.WebControls.Unit.Pixel(53);
                edtSettings.Text = "Supplier";
            }).GetHtml()
        </td>
        <td style="width:20px"></td>
        <td colspan="3">
             @Html.Common().DevExpress().GridLookup(
                    s =>
                    {
                        s.Name = "grlSupplier";
                        s.GridProperties.KeyFieldName = "SupplierCodePlant";
                        s.Width = System.Web.UI.WebControls.Unit.Pixel(275);
                        s.GridProperties.Width = System.Web.UI.WebControls.Unit.Pixel(320);
                        s.GridProperties.CallbackRouteValues = new { Controller = "DCLReport", Action = "SupplierCodePartial" };
                        s.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = false;
                        s.GridProperties.SettingsPager.PageSize = 100;

                        if ((((System.Collections.Generic.List<Portal.Models.Globals.Supplier>)(ViewData["SupplierCode"]))).Count == 1)
                        {
                            s.Text = (((System.Collections.Generic.List<Portal.Models.Globals.Supplier>)(ViewData["SupplierCode"])))[0].SupplierCodePlant;
                        }
                        
                        s.GridProperties.Columns.Add(c =>
                        {
                            c.Name = "SupplierCodePlantReport";
                            c.FieldName = "SupplierCodePlant";
                            c.Caption = "Supplier - Plant";
                            c.Width = System.Web.UI.WebControls.Unit.Pixel(120);
                            c.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
                        });
                        s.GridProperties.Columns.Add(c =>
                        {
                            c.Name = "SupplierNameReport";
                            c.FieldName = "SupplierName";
                            c.Caption = "Supplier Name";
                            c.Width = System.Web.UI.WebControls.Unit.Pixel(240);
                            c.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                        });
                    }
                     ).Bind(ViewData["SupplierCode"]).GetHtml()
            </td>
    </tr>

    @* LOGISTIC PARTNER *@
    <tr>
        <td>
            @Html.DevExpress().Label(
                edtSettings =>
                {
                    edtSettings.ControlStyle.CssClass = "label";
                    edtSettings.Text = "Logistic Partner";
                }).GetHtml()             
        </td>
        <td style="width:20px"></td>
        <td colspan="3">
            @Html.Common().DevExpress().GridLookup(
                    s =>
                    {
                        s.Name = "grlLPHeader";
                        s.GridProperties.KeyFieldName = "LPCode";
                        s.Width = System.Web.UI.WebControls.Unit.Pixel(275);
                        s.GridProperties.CallbackRouteValues = new { Controller = "DCLInquiry", Action = "LPPartial" };
                        s.GridProperties.Width = System.Web.UI.WebControls.Unit.Pixel(400);
                        //s.GridProperties.Height = System.Web.UI.WebControls.Unit.Pixel(320);
                        s.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = false;
                        s.GridProperties.SettingsPager.PageSize = 100;
                        s.GridProperties.SettingsPager.AlwaysShowPager = true;
                        s.GridProperties.SettingsPager.PageSizeItemSettings.Visible = false;

                        if ((((System.Collections.Generic.List<Portal.Models.Globals.LogisticPartner>)(ViewData["LogisticPartnerData"]))).Count == 1)
                        {
                            s.Text = (((System.Collections.Generic.List<Portal.Models.Globals.LogisticPartner>)(ViewData["LogisticPartnerData"])))[0].LPCode;
                        }
                        
                        s.GridProperties.Columns.Add(c =>
                        {
                            c.Name = "LPCode";
                            c.FieldName = "LPCode";
                            c.Caption = "LP Code";
                            c.Width = System.Web.UI.WebControls.Unit.Pixel(80);
                            c.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
                        });
                        s.GridProperties.Columns.Add(c =>
                        {
                            c.Name = "LPName";
                            c.FieldName = "LPName";
                            c.Caption = "LP Name";
                            //c.Width = System.Web.UI.WebControls.Unit.Pixel(160);
                            c.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                        });
                    }
                ).Bind(ViewData["LogisticPartnerData"]).GetHtml()
        </td>        
    </tr>

    @* PRINT STYLE *@
    <tr>
        <td style="width:70px">
         @Html.DevExpress().Label(
            edtSettings =>
            {
                edtSettings.ControlStyle.CssClass = "label";
                edtSettings.Width = System.Web.UI.WebControls.Unit.Pixel(115);
                edtSettings.Text = "Okamochi Print Style";
            }).GetHtml()
        </td>
        <td style="width:20px"></td>
        <td colspan="3">
            @Html.DevExpress().RadioButtonList(
                setting =>
                {
                    setting.Name = "rdoOkaPrint";
                    setting.Properties.Items.Add("Side A", "A");
                    setting.Properties.Items.Add("Side B", "B");
                    setting.Properties.Items.Add("Both", "C");
                    setting.SelectedIndex = 2;
                    setting.ClientEnabled = false;
                    setting.Properties.RepeatDirection = RepeatDirection.Horizontal;
                    setting.ControlStyle.Border.BorderStyle = BorderStyle.None;                  
                }
            ).GetHtml()
        </td>
    </tr>

    @* EXPORT TYPE *@
    <tr>
        <td style="width:70px">
         @Html.DevExpress().Label(
            edtSettings =>
            {
                edtSettings.ControlStyle.CssClass = "label";
                edtSettings.Width = System.Web.UI.WebControls.Unit.Pixel(115);
                edtSettings.Text = "Export Type";
            }).GetHtml()
        </td>
        <td style="width:20px"></td>
        <td colspan="3">
            @Html.DevExpress().RadioButtonList(
                setting =>
                {
                    setting.Name = "rdoExportType";
                    setting.Properties.Items.Add("PDF", "P");
                    setting.Properties.Items.Add("Excel", "E");
                    setting.SelectedIndex = 1;
                    setting.ClientEnabled = false;
                    setting.Properties.RepeatDirection = RepeatDirection.Horizontal;
                    setting.ControlStyle.Border.BorderStyle = BorderStyle.None;                  
                }
            ).GetHtml()
        </td>
    </tr>

    <tr>
        <td align="right" colspan="4" style="padding:5px;">
            <table>
                <tr>
                    <td style="width:80px">
                        @Html.DevExpress().Button(
                        edtSettings =>
                        {
                            edtSettings.Text = "Download";
                            edtSettings.Name = "cmdDownload";
                            edtSettings.Width = 80;
                            edtSettings.ClientSideEvents.Click = "OnClickDownload";
                        }).GetHtml()
                    </td>
                    <td style="width:80px">
                        @Html.DevExpress().Button(
                        edtSettings =>
                        {
                            edtSettings.Text = "Clear";
                            edtSettings.Name = "cmdClear";
                            edtSettings.Width = 80;
                            edtSettings.ClientSideEvents.Click = "OnClickClear";
                            //edtSettings.ClientSideEvents.Click = "function(){PopupProgressDownload.Show();}";
                        }).GetHtml()
                    </td> 
                    <td style="width:80px">
                       
                    </td> 
                </tr>
            </table>
        </td>
     </tr>
</table>





<table border="0" class="syncTable" style="display: none;">
    @* DELIVERY TYPE *@
    <tr>
        <td style="width:70px">Type of Sync<b style="color:Red;">*</b></td>
        <td style="width:40px"></td>
        <td style="text-align:left;" colspan="3">
            @*@Html.Partial("DeliveryTypePartial")*@
            @Html.DevExpress().ComboBox(
            listBoxSettings =>
            {
                listBoxSettings.Name = "cmbSyncType";
                listBoxSettings.Width = System.Web.UI.WebControls.Unit.Pixel(275);
                //edtSettings.CallbackRouteValues = new { Controller = "DCLReport", Action = "SyncTypePartial" };
                //edtSettings.Properties.ValueField = "SyncTypeName";
                //edtSettings.Properties.TextField = "SyncTypeName";
                listBoxSettings.Properties.DropDownStyle = DropDownStyle.DropDownList;
                listBoxSettings.Properties.DropDownHeight = 120;
                listBoxSettings.Properties.EnableClientSideAPI = true;
                
                listBoxSettings.Properties.NullDisplayText = "asdasd";

                listBoxSettings.Properties.Items.Add("Sync DCL", "0");
                listBoxSettings.Properties.Items.Add("Sync Supplier Meeting", "1");
                listBoxSettings.Properties.Items.Add("Sync P-Lane", "2");

                listBoxSettings.Properties.ClientSideEvents.SelectedIndexChanged = "OnTypeSyncSelected";

            }).GetHtml()
        </td>
    </tr>

    @* REPRESENTATIVE DAY 1a *@
    <tr>
        <td style="width:140px">Data Date<b style="color:Red;">*</b></td>
        
        <td style="width:20px;text-align:right">From</td>
        <td style="text-align:left;">
            @Html.DevExpress().DateEdit(
                settings => {
                    settings.Name = "fromDate";
                    settings.Properties.NullText = "yyyy-MM-dd";
                    settings.Properties.EditFormatString = "yyyy-MM-dd";
                    settings.Width = Unit.Pixel(107);
                    settings.ClientEnabled = true;
                    settings.Properties.ClientSideEvents.DateChanged = "OnFromDateChanged";
                }
            ).GetHtml()
        </td>
        <td style="width:60px;text-align:right">To</td>
        <td style="text-align:left;">
            @Html.DevExpress().DateEdit(
                settings => {
                    settings.Name = "toDate";
                    settings.Properties.NullText = "yyyy-MM-dd";
                    settings.Properties.EditFormatString = "yyyy-MM-dd";
                    settings.Width = Unit.Pixel(100);
                    settings.ClientEnabled = true;
                }
            ).GetHtml()
        </td>
    </tr>
    
    
    <tr>
        <td align="right" colspan="5" style="padding:5px;">
            <table border="0">
                <tr>
                    <td style="width:80px">
                      
                    </td> 
                    <td style="width:80px">
                         @Html.DevExpress().Button(
                        edtSettings =>
                        {
                            edtSettings.Text = "Synchronize";
                            edtSettings.Name = "cmdSynchronize";
                            edtSettings.Width = 90;
                            //edtSettings.ClientSideEvents.Click = "OnClickSynchronize";

                            edtSettings.ClientSideEvents.Click = "OnClickSync";
                            
                            //edtSettings.ClientSideEvents.Click = "function(){PopupProgressDownload.Show();}";
                        }).GetHtml()
                    </td> 
                </tr>
            </table>
        </td>
     </tr>
</table>
